/* $Id: globalsreal.h,v 1.1 1997/04/12 22:32:46 sean Exp sean $ */
/*
$Log: globalsreal.h,v $
Revision 1.1  1997/04/12 22:32:46  sean
Initial revision

Revision 1.2  1995/08/03 18:45:43  sean
Essentially a hack of world parameters

*/
#ifndef GLOBALS_H
#define GLOBALS_H

#include "ppmutil.h"
#include "matrix.h"
#include "lights.h"
#include "surfaces.h"

#define BIGREAL 1000000.0

FILE *Rasterfile;
FILE *SDLfile;
int SCREEN_WIDTH, SCREEN_HEIGHT;
real MAGNIFICATION;
v3 CAMERA_ORIGIN;
m3 WORLD_TRANSFORM;
v3 AMBIENT;
int HCOUNT, VCOUNT, HCELL, VCELL;
LightList *global_lightlist;

#endif
